MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Namespace List
- Namespace Members

Enumerations | Functions
MyGUI::geometry_utility Namespace Reference

## Enumerations
enum | Side { Left, Right, Top, Bottom }

## Functions
VectorFloatPoint | cropPolygon (FloatPoint *_baseVerticiesPos, size_t _size, const IntCoord &_cropRectangle)
void | cropPolygonSide (VectorFloatPoint &_verticies, int _sideCoord, Side _side)
FloatPoint | getPositionInsideRect (const FloatPoint &_point, const FloatPoint &_corner0, const FloatPoint &_corner1, const FloatPoint &_corner2)
FloatPoint | getUVFromPositionInsideRect (const FloatPoint &_point, const FloatPoint &_v0, const FloatPoint &_v1, const FloatPoint &_baseUV)

## Enumeration Type Documentation

enum MyGUI::geometry_utility::Side

Enumerator
Left |
Right |
Top |
Bottom |

Definition at line 21 of file MyGUI_GeometryUtility.h.

## Function Documentation

VectorFloatPoint MyGUI::geometry_utility::cropPolygon | ( | FloatPoint * | _baseVerticiesPos,
|  | size_t | _size,
|  | const IntCoord & | _cropRectangle
| ) |  |

Definition at line 16 of file MyGUI_GeometryUtility.cpp.

void MyGUI::geometry_utility::cropPolygonSide | ( | VectorFloatPoint & | _verticies,
|  | int | _sideCoord,
|  | Side | _side
| ) |  |

Definition at line 33 of file MyGUI_GeometryUtility.cpp.

FloatPoint MyGUI::geometry_utility::getPositionInsideRect | ( | const FloatPoint & | _point,
|  | const FloatPoint & | _corner0,
|  | const FloatPoint & | _corner1,
|  | const FloatPoint & | _corner2
| ) |  |

Definition at line 89 of file MyGUI_GeometryUtility.cpp.

FloatPoint MyGUI::geometry_utility::getUVFromPositionInsideRect | ( | const FloatPoint & | _point,
|  | const FloatPoint & | _v0,
|  | const FloatPoint & | _v1,
|  | const FloatPoint & | _baseUV
| ) |  |

Definition at line 105 of file MyGUI_GeometryUtility.cpp.